Get available sources

Prev Next
Get
/teams/{team_id}/transfers/available-sources

Returns all available data sources and destinations for a Hub transfer.

Returns: Initial configuration data including available sources and destinations.

Important Notes:

  • Requires scope dwh_transfers_read
  • Your account must have dwh.transfer.view permission. See roles and permissions.
Security
HTTP
Type bearer

Bearer token authentication. Include the token in the Authorization header: Authorization: Bearer <your-token>

Path parameters
team_id
integer (int64) Required

Unique identifier of the team

Minimum1
Maximum9223372036854776000
Example12345
Responses
200

Available sources retrieved successfully

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
Expand All
object

Available data sources and destinations for Hub transfers

data_sources
Array of object (DataSourceInfo)

Available data sources sorted alphabetically by service name

object

Data source information

data_source_id
string

Unique data source identifier

ExampleAW
service_name
string | null

Human-readable service name

ExampleGoogle Ads
service_provider
string | null

Service provider name

ExampleGoogle
logo_url
string | null

URL to the data source logo

has_custom_fields
boolean

Whether the data source supports custom account fields

is_custom_connector
boolean

Whether this is a custom connector

is_public_beta
boolean

Whether the data source is in public beta

is_released
boolean

Whether the data source is fully released

is_internal
boolean | null

Whether the data source is for internal use only

applicable_destinations
Array of string

Product codes this data source supports

string
destinations
Array of object (TransferDestination)

Available transfer destinations

object

Transfer destination instance

destination_id
integer (int32) | null

The destination ID

Example8
destination_name
string

Display name of the destination

ExampleMy BigQuery
destination_type
string

Destination type identifier

ExampleSQL_BQ
destination_label
string

Human-readable destination type label

ExampleBigQuery
destination_icon_url
string

URL to destination icon

is_internal
boolean

Whether this destination is for internal use only

details
Array of object

Destination-specific detail fields

object
destination_types
Array of object (DestinationTypeSettings)

Destination type configurations with setup settings and auth methods

object

Configuration settings for a destination type

title
string

Human-readable title

ExampleBigQuery
type
string

Destination type identifier

ExampleSQL_BQ
connection_check_url
string

URL endpoint to validate connection

create_url
string

URL to create new destination instance

update_url_template
string

URL template to update existing destination

icon_url
string

URL to destination icon

app_id
string

OAuth application ID

is_internal
boolean

Whether this destination type is for internal use only

settings
Array of object

Setup configuration fields

object
auth_methods
Array of object

Available authentication methods

object
401

Unauthorized - Authentication is required and has failed or has not been provided.

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "019461A0-0000-7000-8000-000000000000"
  },
  "error": {
    "code": "API_KEY_INVALID",
    "message": "Invalid API key",
    "description": "Provided API key was invalid."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
403

Forbidden - The request is understood, but access is not allowed

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "ACCESS_DENIED",
    "message": "Access Denied",
    "description": "You do not have permission to perform this operation."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
429

Too Many Requests - Rate limit exceeded.

Headers
Retry-After
integer
Number of seconds to wait before making another request
Minimum1
Maximum3600
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "019461A0-0000-7000-8000-000000000000"
  },
  "error": {
    "code": "API_ROW_QUOTA_EXCEEDED",
    "message": "Row quota exceeded",
    "description": "You have exceeded your row-quota limit of rows for this month. Please log into Supermetrics Hub at https://hub.supermetrics.com/ and upgrade your plan, or contact our Supermetrics support team."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255
500

Internal Server Error - An error occurred on the server.

Headers
Access-Control-Allow-Origin
string
CORS header
Valid values[ "*" ]
Max length255
Example*
{
  "meta": {
    "request_id": "01892A4D-7586-7000-8000-000000000000"
  },
  "error": {
    "code": "INTERNAL_SERVER_ERROR",
    "message": "Internal Server Error",
    "description": "An unexpected error occurred. Please try again later or contact support."
  }
}
Expand All
object
meta
object (ResponseMeta)
request_id
string

API request ID

Max length50
Pattern^[A-Za-z0-9_-]+$
error
object (Error)
code
string

Error code

Max length100
message
string

Error message

Max length255
description
string

Error description

Max length255